Skip to navigation

Update Widget Template

Updates a Widget Template.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

uuidstringRequiredformat: "uuid"
The identifier for a specific template.
store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
channel_idintegerOptional
The id of the channel on which to place this template.
create_new_versionbooleanOptional
Can be added to create a new widget template version instead of updating the current one.
namestringOptional

The user-friendly name.

schemalist of objectsOptional

The schema for the widget’s merchant-facing UI. For more information on the available schema settings, see Widget UI Schema.

storefront_api_querystringOptional
The GraphQL Storefront API query that provides widget data.
templatestringOptionalformat: "html"
The widget template HTML. Supports Handlebars and Paper helpers.

Response

The requested widget template.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

404
Not Found Error
422
Unprocessable Entity Error